<?php

include_once ('/usr/local/php/include/restore.Class.php');

class apiCall {

	private $_name, $_get, $_post, $_execResult, $_restore, $_execResultString;

	function __construct ($get = null, $post = null, $files = null) {
		$this->_name = 'ConfigurationRestorePrevious';
		$this->_get = $get;
		$this->_post = $post;
		$this->_execResult = true;
		$this->_restore = new restoreConfig(0);
		$this->_execResultString = 'success';
	}

	function execute () {

		if (!is_dir('/usr/conf/backup/')) {
			$this->_execResultString = 'error:previous_configuration_not_found';
			$this->_execResult = false;
			return($this->_execResult);
		}

		system('/bin/cp -f /usr/conf/backup/* /usr/conf/');
		$this->_restore->restoreConfig();

		return($this->_execResult);
	}

	function display () {
		return($this->_name . ':' . $this->_execResultString);
	}
}

?>
